# このファイルは, yaml の書式に従う.
# 記入する必要があるのは下の 4 種類.
#   file_cgi   : 生成する cgi (ruby) ファイル名
#                このファイルが html から呼ばれる
#   file_figs  : 並べる図の情報
#   parameters : パラメータ実験で振るパラメータ
#   pardir     : パラメータ実験から得られた図の格納ディレクトリの親ディレクトリ


#   file_cgi: <cgi_file_name>
#     <> は記述する文字列.
#     スクリプトが生成する cgi 用 ruby スクリプトの名前の指定.

file_cgi: "sample.cgi"

#   file_figs:
#     <file_fig1> : <file_fig1_long_name>
#     <file_fig2> : <file_fig2_long_name>
#     ...
#     <file_figN> : <file_figN_long_name>
#
#   <> は記述する文字列.
#   file_figN は図のファイル名. 
#   file_figN_long_name は html の選択項目として表示される名称.
#   file_figN_long_name は省略可能 (fileN は必須).

file_figs:
  SurfTemp_t_Eq.png : "東西平均惑星表面温度@赤道"
  SurfTemp_t_SP.png : "東西平均惑星表面温度@南極"
  SurfTemp_t_NP.png : "東西平均惑星表面温度@北極"
  SurfTemp_t_SP2NP.png : "東西平均惑星表面温度@様々な緯度"
  SurfTemp_xy.png   : "時間平均惑星表面温度(最後の 3 年間)"
  SurfAlbedo_xy.png : "時間平均惑星表面アルベド(最後の 3 年間)"
  PRCP_xy.png       : "時間平均降水量(最後の 3 年間)"


#   parameters:
#     <param1> :
#       long_name    : <param1_long_name>
#       values       : [<param1_val1>, <param1_val2>, ... ]
#       default      : <param1_default_val>
#       unit         : <unit>
#       label_format : <label_format>
#     <param2> :
#       ...
#
#   <> は記述する文字列, 数値.
#   必須指定項目は, values と label_format.
#   long_name は html の選択項目として表示される名称.
#   values はパラメータの取りうる値. パラメータと言っても文字列でもよい(はず).
#   default で指定した値が values で指定した値の中のデフォルト値となる.
#   unit は html に表示されるパラメータの単位.
#   label_format はディレクトリ名に使われる文字列化されたパラメータの書式.
#     ruby の書式指定方法に従う.
#
#   <paramN> において "VARIABLES" は予約語であり使えない.
#   <paramN> に "VARIABLES" を指定すると, パラメータ軸の代わりに変数 (ファ
#   イル) 軸となる.
#   このときにも values と label_format には何か指定しておかなければならない.
#   例えば values に [0], label_format に "" など.

parameters:
  case : 
    long_name    : "実験"
    values       : [7,6,5,4,3,2,1,0]
    default      : 1
    unit         : ""
    label_format : "%02d"
  VARIABLES :
    long_name    : "変数"
    values       : [0]
    unit         : ""
    label_format : ""

#   figs: 
#     pardir     : <pardir>
#
#   <pardir> は図を置くディレクトリの親ディレクトリ
#
#   上記の指定によって, 各実験の図は下のディレクトリに存在すると仮定される.
#     <pardir>/<param1><param1_val1>/<param2><param2_val1>/...
#     <pardir>/<param1><param1_val2>/<param2><param2_val1>/...
#     ...
#     <pardir>/<param1><param1_val1>/<param2><param2_val2>/...
#     <pardir>/<param1><param1_val1>/<param2><param2_val3>/...
#     ...
#
#   <> は記述する文字列.
#   <param*_val*> は parameters の values で指定した数値を label_format の
#   書式で文字列化されたもの.
#
#   そしてそれぞれのディレクトリ内に file_figs で指定した図のファイルの存在が
#   仮定される.

pardir : "figs"


# 下は指定しなくても良い

# parameters_selected : デフォルトで選択されるパラメータ (配列で一つ以上を指定)
#parameters_selected : ["phase", "amp"]

# html_titletxt : 生成される html の title
#html_titletxt : "Parameter experiments"

# fig_width     : 各図の大きさのデフォルト値
#fig_width     : 250

# flag_dirlink  : table 内に図の置かれているディレクトリへのリンクを置く
flag_dirlink  : true

# flag_show_info : 選択された情報の表示
#flag_show_info : true

# flag_make_html_file : html 出力の選択
#flag_make_html_file : true
# dir_html_file : html 出力のディレクトリ
#dir_html_file : "tmp_html"

# flag_debug    : debug 用 (table 内に図のファイルへのパスを表示)
#flag_debug    : true
